Subject: Re: [NNTP] New draft for LIST additions (-02)

From: Julien ÉLIE <[email-masked]>
Date: Sun, 21 Mar 2010 18:52:44 +0100

Hi all,

>> Text version:
>>    http://www.ietf.org/internet-drafts/draft-elie-nntp-list-additions-02.txt
>>
>> HTML version:
>>    http://iulius.dinauz.org/draft-elie-nntp-list-additions-02.html
>
> We plan on releasing a new version of INN in March.
>
> Can we advertise the COUNTS, DISTRIBUTIONS, MODERATORS, MOTD and SUBSCRIPTIONS
> variants of the LIST command?  I believe the description of these commands
> are stable and won't change from what is already specified in the above draft.
> Therefore, it should not hurt if we advertise them even though they are currently
> described only in this Internet-Draft.

After all, it is better to delay such an advertisement after, at least, a Last
Call.  In case there were something to change...
So these variants will not be advertised in INN 2.5.2.  Maybe for the following
release!

> Another question:  can we implement the "Y" and "M" status fields?  Do you
> have any objection about them?
> It will allow to have all possible cases regarding how an article should
> be handled.

These two status fields will be removed in the -03 draft.  Urs convinced me :)
There is no good reason to define them.  It can cause problems to readers
that do not understand 'M'.  I was only suggesting 'Y' and 'M' for the beauty
of the protocol, covering all possible cases with local/peer rights.
Better stick to what is already implemented for a Proposed Standard.

-- 
Julien ÉLIE

« Plus un ordinateur possède de RAM, plus vite il peut générer un message d'erreur. »